Bug 1276283 - [abrt] dnf: os.py:157:makedirs:OSError: [Errno 17] File exists: '/var/lib/dnf/yumdb/l/f6bb0c778723f89836479f72cd2a6c552315a131-libreoffice-core-4.3.7.2-12.fc21-x86_64'
[abrt] dnf: os.py:157:makedirs:OSError: [Errno 17] File exists: '/var/lib/dnf...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:89a9e50e318958fb5254acd3e2b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 06:56 EDT by Abhimanyu Dhiman
Modified: 2015-12-02 13:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:48:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.03 KB, text/plain)
2015-10-29 06:56 EDT, Abhimanyu Dhiman
no flags Details
File: environ (2.04 KB, text/plain)
2015-10-29 06:56 EDT, Abhimanyu Dhiman
no flags Details

  None (edit)
Description Abhimanyu Dhiman 2015-10-29 06:56:22 EDT
Description of problem:
'dnf upgrade' was complaining of problems with libreoffice-core so I deleted the file from /var/cache/dnf/updates-7f188096b63a4e09/packages and ran 'dnf upgrade' again.

Version-Release number of selected component:
dnf-0.6.4-7.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python -OO /bin/dnf -y upgrade
dso_list:       python-libs-2.7.8-11.fc21.x86_64
executable:     /bin/dnf
kernel:         4.1.8-100.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
os.py:157:makedirs:OSError: [Errno 17] File exists: '/var/lib/dnf/yumdb/l/f6bb0c778723f89836479f72cd2a6c552315a131-libreoffice-core-4.3.7.2-12.fc21-x86_64'

Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 185, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 141, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 160, in resolving
    base.do_transaction()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 217, in do_transaction
    super(BaseCli, self).do_transaction(display)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 574, in do_transaction
    self._run_transaction(cb=cb)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 696, in _run_transaction
    self.verify_transaction(cb.verify_tsi_package)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 760, in verify_transaction
    yumdb_info.checksum_data = csum[1]
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmsack.py", line 296, in __setattr__
    self._write(attr, value)
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmsack.py", line 213, in _write
    _makedirs_no_umask(self._mydir)
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmsack.py", line 48, in _makedirs_no_umask
    ret = os.makedirs(*args)
  File "/usr/lib64/python2.7/os.py", line 157, in makedirs
    mkdir(name, mode)
OSError: [Errno 17] File exists: '/var/lib/dnf/yumdb/l/f6bb0c778723f89836479f72cd2a6c552315a131-libreoffice-core-4.3.7.2-12.fc21-x86_64'

Local variables in innermost frame:
tail: u'f6bb0c778723f89836479f72cd2a6c552315a131-libreoffice-core-4.3.7.2-12.fc21-x86_64'
head: u'/var/lib/dnf/yumdb/l'
name: u'/var/lib/dnf/yumdb/l/f6bb0c778723f89836479f72cd2a6c552315a131-libreoffice-core-4.3.7.2-12.fc21-x86_64'
mode: 511
Comment 1 Abhimanyu Dhiman 2015-10-29 06:56:29 EDT
Created attachment 1087445 [details]
File: backtrace
Comment 2 Abhimanyu Dhiman 2015-10-29 06:56:31 EDT
Created attachment 1087446 [details]
File: environ
Comment 3 Honza Silhan 2015-11-02 10:33:12 EST
Thanks for the report. It failed because the record about the package already existed. We will investigate why we can't replace this record.
Comment 4 Fedora End Of Life 2015-11-04 04:54:15 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-12-02 10:48:34 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.